Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control.io
[Java] Class URLReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource
          org.codehaus.groovy.control.io.URLReaderSource

    public class URLReaderSource
    extends AbstractReaderSource

A ReaderSource for source files hosted at a URL.

Authors:
  Chris Poirier

Version:
  \$Id: URLReaderSource.java 6778 2007-07-02 10:40:33Z glaforge \$

Field Summary

Fields inherited from class AbstractReaderSource
configuration

Constructor Summary
`URLReaderSource(URL url, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

Method Summary
`Reader` | `getReader()` Returns a new Reader on the underlying source object.

Methods inherited from class AbstractReaderSource
canReopenSource, cleanup, getLine

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### URLReaderSource

    public URLReaderSource(URL url, CompilerConfiguration configuration)

  Creates the ReaderSource from a File descriptor.
  Parameters:
    `url` - url pointing to script source
    `configuration` - configuration for compiling source

Method Detail

### getReader

    public Reader getReader()

  Returns a new Reader on the underlying source object.

Copyright © 2003-2010 The Codehaus. All rights reserved.